# Supported language

- Deviations from the standard
- Extensions to the standard
- Non standard read syntax
- Non standard macros and special forms
- Pattern matching
- Declarations
- Parameters
- Unit library basic Scheme definitions
- Unit eval evaluation and macro-handling
- Unit extras useful utility definitions
- Unit srfi-1 List Library
- Unit srfi-4 Homogeneous numeric vectors
- Unit srfi-13 String library
- Unit srfi-14 character set library
- Unit match pattern matching runtime-support
- Unit regex regular expressions
- Unit srfi-18 multithreading
- Unit posix Unix-like services
- Unit utils Shell scripting and file operations
- Unit tcp basic TCP-sockets
- Unit lolevel low-level operations

Previous: Using the interpreter

Next: Interface to external functions and variables